const footer = require('./htmlFooter.js')

module.exports = (tag, links) => 
`
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Tag: ${tag}</title>
  <link href="../../styles.css" rel="stylesheet">
  <link rel="alternate" type="application/atom+xml" title="Feed for My Journal tag ${tag}" href="feed.xml">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="generator" content="CMS ETL BBQ; https://tildegit.org/mycrobe/cmsetlbbq/issues/19" />
</head>
<body>
  <ul class="nav">
    <li><a class="home" href="../..">Journal Home</a></li>
  </ul>
  <h1 class="title">Journal entries tagged ${tag}</h1>
  <ul class="entries">
    ${links.map(({relativeUrl, title, date}) => `    <li class="entry"><a class="link" href="../../${relativeUrl}">${title}</a><div class="date">${date}</div></li>`).join('\n')}
  </ul>
${footer()}
</body>
`
